## com.baidubce.services.moladb.model
Class ListTablesResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.ListTablesResponse

    public class ListTablesResponse

extends AbstractBceResponse

Represents the output of a ListTables operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListTablesResponse()` Constructs a new ListTablesResponse object.

Method Summary
`List<String>` `getTableNames()` Get the names of all tables got from server side.
`void` `setTableNames(List<String> names)` Set the names of all tables got from server side.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTablesResponse

    public ListTablesResponse()

  Constructs a new ListTablesResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getTableNames

    public List<String> getTableNames()

  Get the names of all tables got from server side.

  Returns:
    The names of all tables got from server side, the type is in List<String>.

### setTableNames

    public void setTableNames(List<String> names)

  Set the names of all tables got from server side.

  Parameters:
    `names` - The names of all tables got from server side, the type is in ArrayList<String>.

Copyright © 2016. All rights reserved.